# pion::plugins Namespace Reference

## Classes

class | AllowNothingService
class | CookieService
class | EchoService
class | DiskFile
class | DiskFileSender
class | FileService
class | HelloService
class | LogServiceAppender
class | LogService

## Typedefs

typedef boost::shared_ptr< DiskFileSender > | DiskFileSenderPtr
| data type for a DiskFileSender pointer

## Functions

void | writeDictionaryTerm (HTTPResponseWriterPtr &writer, const HTTPTypes::QueryParams::value_type &val, const bool decode)
| used by handleRequest to write dictionary terms